Bug 99450 - [amdgpu] Payday 2 visual glitches on some models
Summary: [amdgpu] Payday 2 visual glitches on some models
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/radeonsi (show other bugs)
Version: 13.0
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact: Default DRI bug account
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-18 16:37 UTC by Hugo Posnic
Modified: 2017-03-01 12:02 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hugo Posnic 2017-01-18 16:37:04 UTC
The game PAYDAY 2 which has a Linux port on Steam works well for me except for one thing. I have visual glitches on some models (likes windows, houses, lights, paints, computers...).

This issue has also been confirmed by another person of the Manjaro forum: 

https://forum.manjaro.org/t/visual-glitches-on-payday-2/15774/6

Here some images:

http://pix.toile-libre.org/upload/original/1484138679.jpg
http://pix.toile-libre.org/upload/original/1484138728.jpg
http://pix.toile-libre.org/upload/original/1484138748.jpg
http://pix.toile-libre.org/upload/original/1484226859.jpg
http://pix.toile-libre.org/upload/original/1484226920.jpg
http://pix.toile-libre.org/upload/original/1484226984.jpg

Here my config:

System:    Kernel: 4.9.2-1-MANJARO x86_64 (64 bit gcc: 6.2.1)
           Desktop: MATE 1.16.1 (Gtk 3.22.6) Distro: Manjaro Linux
Machine:   Device: desktop System: Gigabyte product: N/A
           Mobo: Gigabyte model: H77M-D3H
           UEFI: American Megatrends v: F10 date: 05/28/2013
CPU:       Dual core Intel Core i3-3245 (-HT-MCP-) cache: 3072 KB
           flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 13575
           clock speeds: max: 3400 MHz 1: 1702 MHz 2: 1799 MHz 3: 1797 MHz
           4: 1800 MHz
Graphics:  Card: Advanced Micro Devices [AMD/ATI] Baffin [Radeon RX 460]
           bus-ID: 01:00.0
           Display Server: X.Org 1.19.1 driver: amdgpu
           Resolution: 1920x1080@60.00hz
           GLX Renderer: Gallium 0.4 on AMD POLARIS11 (DRM 3.8.0 / 4.9.2-1-MANJARO, LLVM 3.9.1)
           GLX Version: 3.0 Mesa 13.0.3 Direct Rendering: Yes
Audio:     Card-1 Intel 7 Series/C216 Family High Definition Audio Controller
           driver: snd_hda_intel bus-ID: 00:1b.0
           Card-2 Advanced Micro Devices [AMD/ATI] Device aae0
           driver: snd_hda_intel bus-ID: 01:00.1
           Card-3 Logitech G430 Surround Sound Gaming Headset
           driver: USB Audio usb-ID: 002-004
           Sound: Advanced Linux Sound Architecture v: k4.9.2-1-MANJARO
Network:   Card-1: Qualcomm Atheros AR9287 Wireless Network Adapter (PCI-Express)
           driver: ath9k bus-ID: 02:00.0
           IF: wlp2s0 state: up mac: <filter>
           Card-2: Qualcomm Atheros AR8161 Gigabit Ethernet
           driver: alx port: d000 bus-ID: 03:00.0
           IF: enp3s0 state: down mac: <filter>
Drives:    HDD Total Size: 2120.4GB (6.8% used)
           ID-1: /dev/sda model: ST2000DM001 size: 2000.4GB
           ID-2: /dev/sdb model: Samsung_SSD_840 size: 120.0GB
Partition: ID-1: / size: 110G used: 8.8G (9%) fs: ext4 dev: /dev/sdb2
           ID-2: /home size: 1.8T used: 125G (8%) fs: ext4 dev: /dev/sda1
Sensors:   System Temperatures: cpu: 29.8C mobo: 27.8C gpu: 23.0
           Fan Speeds (in rpm): cpu: N/A
Info:      Processes: 172 Uptime: 1:14 Memory: 1356.5/7946.3MB
           Init: systemd Gcc sys: 6.3.1
           Client: Shell (bash 4.4.51) inxi: 2.3.5
Comment 1 Samuel Pitoiset 2017-01-19 17:25:10 UTC
Should be fixed by e490b7812cae778c61004971d86dc8299b6cd240.
Comment 2 Hugo Posnic 2017-01-19 17:33:03 UTC
(In reply to Samuel Pitoiset from comment #1)
> Should be fixed by e490b7812cae778c61004971d86dc8299b6cd240.

Thank's for this patch. Can't test it but I hope so ;)
Comment 3 Hugo Posnic 2017-02-05 17:34:24 UTC
I've receive the 13.0.4 update but still the same problem...
Comment 4 fin4478 2017-02-05 18:50:03 UTC
Use latest amdgpu driver, those stock kernels are buggy.
https://cgit.freedesktop.org/~agd5f/linux/?h=drm-next-4.11-wip
Also Oibaf ppa have latest mesa and Debian testing Xfce is more stable, easier and compatible than Majanro Linux.

(In reply to Hugo Posnic from comment #3)
> I've receive the 13.0.4 update but still the same problem...
Comment 5 Samuel Pitoiset 2017-02-09 21:47:30 UTC
Okay, you hit a second issue that should be definitely fixed in mesa 17. I confirm the visual glitches with 13.0.4, but not with latest mesa/llvm.

Fwiw, the commit previously mentionned should prevent VM faults and improve stability.

Please close the bug when mesa 17 will be in your distro.
Thanks!
Comment 6 Hugo Posnic 2017-03-01 12:02:39 UTC
It's fixed. Thank you all!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.